net.i2p.router.transport

## Enum Transport.AddressSource

- java.lang.Object
- - java.lang.Enum<Transport.AddressSource>
  - - net.i2p.router.transport.Transport.AddressSource

- All Implemented Interfaces:
    Serializable, Comparable<Transport.AddressSource>
  Enclosing interface:
    Transport

      public static enum Transport.AddressSource
      extends Enum<Transport.AddressSource>

  Source of transport address configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SOURCE_CONFIG` unused
    `SOURCE_INTERFACE`
    `SOURCE_SSU`
    `SOURCE_UPNP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toConfigString()`
    `static Transport.AddressSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transport.AddressSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE_CONFIG

          public static final Transport.AddressSource SOURCE_CONFIG

      unused

    - #### SOURCE_INTERFACE

          public static final Transport.AddressSource SOURCE_INTERFACE

    - #### SOURCE_SSU

          public static final Transport.AddressSource SOURCE_SSU

    - #### SOURCE_UPNP

          public static final Transport.AddressSource SOURCE_UPNP

  - ### Method Detail

    - #### toConfigString

          public String toConfigString()

    - #### valueOf

          public static Transport.AddressSource valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Transport.AddressSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transport.AddressSource c : Transport.AddressSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared